import { Hono } from 'hono';
import Layout from './frontend/layout';
import { SiteConfig, configMiddleware } from './middleware/config';

const app = new Hono();
app.use(configMiddleware);

app.get('/', async (c) => {
  const siteData: SiteConfig = await c.get('config');

  const layout = (
    <Layout siteData={siteData}>
      <main>
        <h1>Slovocast</h1>
      </main>
    </Layout>
  );
 
  return c.html(layout);
});

export default app;
