import { Hono } from 'hono';
import { Context } from 'hono';

type SiteConfig = {
  name: string,
  description: string,
  baseUrl: string
  copyright: string,
};

const currentYear = new Date().getFullYear();

const config: SiteConfig = {
  name: "Slovocast",
  description: "A no-nonesense Podcast hosting platform.",
  baseUrl: "dev.slovocast.com",
  copyright: `Copyright ${currentYear} Slovocast`,
};

const configMiddleware = async function(c: Context, next) {
  c.set('config', config);
  await next();
};

export { SiteConfig, configMiddleware };
